## org.exist.util.hashtable
Class ObjectHashSet

    java.lang.Object
      org.exist.util.hashtable.AbstractHashtable
          org.exist.util.hashtable.ObjectHashSet

public class ObjectHashSet
extends AbstractHashtable

A hash set on objects. Objects are compared for equality by calling Object.equals().

Author:
  Wolfgang Meier (wolfgang@exist-db.org)

Constructor Summary
`ObjectHashSet()`
`ObjectHashSet(int iSize)`

Method Summary
`void` `add(java.lang.Object key)`
`boolean` `contains(java.lang.Object key)`
`java.util.Iterator` `iterator()`
`java.util.List` `keys()`
`java.lang.Object` `remove(java.lang.Object key)`
`java.util.Iterator` `stableIterator()`
`java.util.Iterator` `valueIterator()`

Methods inherited from class org.exist.util.hashtable.AbstractHashtable
`getMaxRehash, isPrime, nextPrime, size`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectHashSet

    public ObjectHashSet()

### ObjectHashSet

    public ObjectHashSet(int iSize)

Parameters:
  `iSize` -

Method Detail

### add

    public void add(java.lang.Object key)

### contains

    public boolean contains(java.lang.Object key)

### remove

    public java.lang.Object remove(java.lang.Object key)

### keys

    public java.util.List keys()

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in class `AbstractHashtable`

### stableIterator

    public java.util.Iterator stableIterator()

### valueIterator

    public java.util.Iterator valueIterator()

  Specified by:
    `valueIterator` in class `AbstractHashtable`

Copyright (C) Wolfgang Meier. All rights reserved.